com.mapinfo.midev.geometry

## Class InvalidGeometryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.mapinfo.midev.geometry.InvalidGeometryException

All Implemented Interfaces:
  Serializable

    public final class InvalidGeometryException
    extends RuntimeException

Thrown when a geometry is not valid.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InvalidGeometryException(String message)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidGeometryException

    public InvalidGeometryException(String message)